# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "ig-client"
version = "0.7.10"
authors = ["Joaquin Bejar <jb@taunais.com>"]
build = false
include = [
    "benches/**/*",
    "src/**/*",
    "Cargo.toml",
    "README.md",
    "LICENSE",
    "examples/**/*",
    "tests/**/*",
    "Makefile",
    "rust-toolchain.toml",
    "Draws/**/*",
    "Docker/**/*",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "This crate provides a client for the IG Markets API"
homepage = "https://github.com/joaquinbejar/ig-client"
readme = "README.md"
keywords = [
    "finance",
    "ohlc",
    "tick",
    "trading",
]
categories = [
    "finance",
    "data-structures",
]
license = "MIT"
repository = "https://github.com/joaquinbejar/ig-client"

[lib]
name = "ig_client"
path = "src/lib.rs"

[[test]]
name = "integration_tests"
path = "tests/integration/mod.rs"

[[test]]
name = "unit_tests"
path = "tests/unit/mod.rs"

[[bench]]
name = "bench"
path = "benches/bench.rs"

[[bench]]
name = "benchmarks"
path = "benches/benchmarks.rs"
harness = false

[dependencies.async-trait]
version = "0.1"

[dependencies.chrono]
version = "0.4"
features = ["serde"]

[dependencies.criterion]
version = "0.8"

[dependencies.dotenv]
version = "0.15"

[dependencies.futures]
version = "0.3"

[dependencies.governor]
version = "0.10"

[dependencies.lazy_static]
version = "1.5"

[dependencies.lightstreamer-rs]
version = "0.2"

[dependencies.nanoid]
version = "0.4"

[dependencies.pretty-simple-display]
version = "0.1"

[dependencies.prettytable-rs]
version = "0.10"

[dependencies.regex]
version = "1.12"

[dependencies.reqwest]
version = "0.12"
features = ["json"]

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.sqlx]
version = "0.8"
features = [
    "postgres",
    "macros",
    "chrono",
    "runtime-tokio-native-tls",
]

[dependencies.tokio]
version = "1.48"
features = [
    "rt",
    "rt-multi-thread",
    "macros",
    "time",
    "signal",
]

[dependencies.tracing]
version = "0.1"

[dependencies.tracing-subscriber]
version = "0.3"

[dev-dependencies]
